#ifndef FAST_TRIG_H
#define FAST_TRIG_H


#include <cmath>
#include <num/num.h>

#define PI 3.14159265

void Fast_Trig_Init( void );

libnum::num FastCosInt( int16_t angle );
libnum::num FastSinInt( int16_t angle );
libnum::num FastTanInt( int16_t angle );

libnum::num32 sqrt_num32(libnum::num32 v);
libnum::num32 cos_num32(libnum::num32 angle);
libnum::num32 sin_num32(libnum::num32 angle);



#endif
